const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const postTemplate = {
    author: String,
    body: String,
    date: Date,
}

const AD_TYPE = {
    SALE: "sale",
    RENTAL: "rental"
};

const AD_TRANSACTIONSTATUS = {
    AVAILABLE: "available",
    RENTED: "rented",
    SOLD: "sold"
};

const USER_ROLE = {
    CLIENT: "client",
    AGENT: "agent"
};

const adSchema = new Schema({
    title: String,
    type: String,
    published: Boolean,
    transactionStatus: String,
    description: String,
    price: Number,
    availabilityDate: Date,
    pictures: [{ body: Buffer, title: String }],
    questions: [{
        ...postTemplate,
        answers: [{
            ...postTemplate
        }]
    }]
});

const userSchema = new Schema({
    name: String,
    email: String,
    password: String,
    role: String
});